# Created by pyp2rpm-3.3.4
%global pypi_name black_hole_solver

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 1
Summary:        Python Wrappers for the C libblack-hole-solver
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/black-hole-solitaire
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/black_hole_solver-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(libblack-hole-solver)
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
Requires:  python3dist(cffi)
Requires:  libblack-hole-solver1

%description
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%package -n python-%{pypi_name}-doc
Summary:        black-hole-solver documentation
%description -n python-%{pypi_name}-doc
Documentation for black-hole-solver

%prep
%autosetup -n black_hole_solver-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/LICENSE.rst
%doc README.rst docs/README.rst
%{python3_sitelib}/black_hole_solver
%{python3_sitelib}/black_hole_solver-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst


%changelog
* Mon Jun 29 2020 shlomif <shlomif> 0.2.3-1.mga8
+ Revision: 1600347
- pyp2rpm

